BSON_JSON_READER_NEW_FROM_FD(3)

NAME
bson_json_reader_new_from_fd - bson_json_reader_new_from_fd()

SYNOPSIS

bson_json_reader_t *
bson_json_reader_new_from_fd (int fd, bool close_on_destroy);

PARAMETERS

•   fd: An open file-descriptor.

•   close_on_destroy: Whether close() should be called on fd when the reader is destroyed.

DESCRIPTION

Creates a new JSON to BSON converter that will be reading from the file-descriptor fd.

RETURNS

A newly allocated bson_json_reader_t that should be freed with bson_json_reader_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc